## yadif yadif |

## Properties

GstYadifModes | mode | Read / Write / Construct

## Types and Values

struct | GstYadif

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstBaseTransform
                        ╰── GstYadif

## Description

The yadif element deinterlaces video, using the YADIF deinterlacing filter copied from Libav. This element only handles the simple case of interlace-mode=interleaved video instead of the more complex inverse telecine and deinterlace cases that are handled by the deinterlace element.

#### Example launch line

    1
    gst-launch-1.0 -v videotestsrc pattern=ball ! interlace ! yadif ! xvimagesink

This pipeline creates an interlaced test pattern, and then deinterlaces it using the yadif filter.

## Synopsis

### Element Information

plugin | yadif
author | David Schleef <ds@schleef.org>
class | Video/Filter

### Element Pads

name | sink
direction | sink
presence | always
details | video/x-raw, format=(string){ Y42B, I420, Y444 }, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ], interlace-mode=(string){ interleaved, mixed, progressive }

name | src
direction | source
presence | always
details | video/x-raw, format=(string){ Y42B, I420, Y444 }, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ], interlace-mode=(string)progressive

## Functions

## Types and Values

### struct GstYadif

    struct GstYadif;

## Property Details

### The `“mode”` property

      “mode”                     GstYadifModes

Deinterlace mode.

Flags: Read / Write / Construct

Default value: Auto detection